<?php
$title = 'Удаление изображения';
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/head.php');
$_GET['id'] = abs(intval($_GET['id']));
$query = $db->query("SELECT * FROM `products_comments_images` WHERE `id`='".$_GET['id']."'");
if($query->num_rows == 0){
	header('location:/');
	// Несуществующее изображение
}
$image = $query->fetch_assoc();
$qcomm = $db->query("SELECT * FROM `products_comments` WHERE `id`='".$image['id_comm']."'");
if($qcomm->num_rows == 0){
	header('location:/');
	// Несуществующий комментарий
}

$comm = $qcomm->fetch_assoc();
if($user['admin'] < 1 AND $comm['id_user'] != $user['id']){
	header('location:/');
	// Нет прав для удаления
}
unlink($_SERVER["DOCUMENT_ROOT"].'/files/images/comments/'.$image['image']);
$db->query("DELETE FROM `products_comments_images` WHERE `id`='".$_GET['id']."'");
header('location:/product/'.$comm['id_product'].'/comments/'.$comm['id'].'/edit');
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/foot.php');
?>